#include <bits/stdc++.h>
#define int long long
using namespace std;
int n,k;
signed main(){ios::sync_with_stdio(false); cin.tie(NULL);
  cin>>n>>k; int a[n],indicator=0;
  for(int i=0; i<n; i++){
    cin>>a[i];
	if(a[i]==1) indicator++;
	}
	if(indicator>=k)cout<<1;
	else cout<<0;
  return 0;
}